AR-1398: Fix wrong error message when missing fs tools (#4424)

This commit is contained in:
Joe Khoobyar 2022-11-12 01:10:00 -05:00 committed by GitHub
parent 4fab357838
commit f3d26f123a
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 12 additions and 0 deletions

View File

@ -541,6 +541,12 @@ format_emmc()
# (convert to sectors for partitioning)
DEFAULT_BOOTSIZE_SECTORS=$(((${DEFAULT_BOOTSIZE} * 1024 * 1024) / 512))
# check if the filesystem tools are actually installed
if ! command -v mkfs.${eMMCFilesystemChoosen} >/dev/null 2>&1; then
echo "Error: Filesystem tools for ${eMMCFilesystemChoosen} not installed, exiting"
exit 9
fi
# check whether swap is currently defined and a new swap partition is needed
grep -q swap /etc/fstab
case $? in

View File

@ -497,6 +497,12 @@ format_emmc()
# (convert to sectors for partitioning)
DEFAULT_BOOTSIZE_SECTORS=$(((${DEFAULT_BOOTSIZE} * 1024 * 1024) / 512))
# check if the filesystem tools are actually installed
if ! command -v mkfs.${eMMCFilesystemChoosen} >/dev/null 2>&1; then
echo "Error: Filesystem tools for ${eMMCFilesystemChoosen} not installed, exiting"
exit 9
fi
# check whether swap is currently defined and a new swap partition is needed
grep -q swap /etc/fstab
case $? in